package com.atlassian.webdriver.bitbucket.page;

public class PullRequestEffectiveDiffPage extends PullRequestDiffPage {

    public PullRequestEffectiveDiffPage(String projectKey, String slug, long pullRequestId) {
        this(projectKey, slug, pullRequestId, null);
    }

    public PullRequestEffectiveDiffPage(String projectKey, String slug, long pullRequestId, String path) {
        super(projectKey, slug, pullRequestId, path);
    }

    public PullRequestEffectiveDiffPage(String projectKey, String slug, long pullRequestId, long commentId, String action) {
        super(projectKey, slug, pullRequestId, commentId, action);
    }

    @Override
    protected String getDiffUrl() {
        return "/diff";
    }
}
